Athenahealth interview experience Real time questions & tips from candidates to crack your interview

SDE - 1

Athenahealth
upvote
share-icon
4 rounds | 5 Coding problems

Interview preparation journey

expand-icon
Preparation
Duration: 6 months
Topics: Data Structures & Algorithms, Dynamic Programming, Hashing,Tree,Graph, Heap, OOPS, SQL
Tip
Tip

Tip 1 : Do practice a lot of competitive programming.
Tip 2 : Revise complete Data Structures at least 3-4 times. 
Tip 3 : Do practice SQL queries.
Tip 4 : Do at least 1 Internship from a good company.
Tip 5 : Maintain CGPA up to 7.5

Application process
Where: Campus
Eligibility: 7.0 and above CGPA , No current active backlogs/failures, only CS/IT Students
Resume Tip
Resume tip

Tip 1 : Keep it short, Do not repeat the same achievements in different sections.
Tip 2 : Do participate in extracurricular activities and Hackathons.

Interview rounds

01
Round
Medium
Online Coding Interview
Duration90 minutes
Interview date8 Sep 2020
Coding problem2

The online test was scheduled on 10:00 AM. Total 304 students were eligible who appeared for the test. 93 students were shortlisted in this round. MCQs were asked and two coding question

MCQs were of medium to hard level.
OOPS(2 Question)
DBMS(2 questions)
Networking(2 Questions)
Operating System(2 Questions),
Aptitude(2 Questions)

1. Maximum Subarray Sum

Moderate
35m average time
81% success
0/80
Asked in companies
MicrosoftAccentureSAP Labs

You are given an array 'arr' of length 'n', consisting of integers.


A subarray is a contiguous segment of an array. In other words, a subarray can be formed by removing 0 or more integers from the beginning and 0 or more integers from the end of an array.


Find the sum of the subarray (including empty subarray) having maximum sum among all subarrays.


The sum of an empty subarray is 0.


Example :
Input: 'arr' = [1, 2, 7, -4, 3, 2, -10, 9, 1]

Output: 11

Explanation: The subarray yielding the maximum sum is [1, 2, 7, -4, 3, 2].
Problem approach

A subarray is a contiguous segment of an array. In other words, a subarray can be formed by removing 0 or more integers from the beginning, and 0 or more integers from the end of an array. I used Kadane's algorithm to solve it optimally. 

Try solving now

2. Flipping Coins

Moderate
32m average time
68% success
0/80
Asked in companies
FlipkartAmerican ExpressWalmart

Gary has N coins placed in a straight line. Some coins have head side up, and others have the tail side up.

Convention:
1 denotes the HEAD side is up. 
0 denotes the TAIL side is up. 

Now, Gary wants to obtain a maximum number of head-side up coins. He can perform at most one(possibly 0) flip in which he can flip the coins of a continuous interval (continuous subarray).

For example: In the given array (0 based indexing), { 1, 0, 0, 1, 0, 0, 1 }, we can obtain maximum head side up coins by flipping the coins in range 1 to 5. The array will thus become {1, 1, 1, 0, 1, 1, 1 }.

Return the maximum number of heads side up Gary can obtain.

Try solving now
02
Round
Medium
Video Call
Duration60 minutes
Interview date9 Sep 2020
Coding problem2

It was technical interview round, which was purely based on coding followed by 1 SQL query. Duration of round was of 1 hour from 10 AM-11AM. Interviewer asked me 2 Coding questions one to solve and run on Hackerrank codepair platform and for another one she asked only my approach to solve problem. In the remaining last 10 minutes interviewer asked me 1 SQL query on JOIN. Total 28 students were shortlisted in this round.

1. First Missing Positive

Moderate
18m average time
84% success
0/80
Asked in companies
SalesforceProtiumQualcomm

You are given an array 'ARR' of integers of length N. Your task is to find the first missing positive integer in linear time and constant space. In other words, find the lowest positive integer that does not exist in the array. The array can have negative numbers as well.

For example, the input [3, 4, -1, 1] should give output 2 because it is the smallest positive number that is missing in the input array.

Problem approach

I gave him the optimized solution.

Try solving now

2. kth missing element

Moderate
20m average time
70% success
0/80
Asked in company
Athenahealth

You are given a strictly increasing array 'vec' and a positive integer 'k'.


Find the 'kth' positive integer missing from 'vec'.


Example :
Input: vec = [2,4,5,7] , k = 3

Output: 6

Explanation : 
In the given example, first missing positive integer is 1 second missing positive integer is 3, and the third missing positive integer is 6.
Hence the answer is 6. 


Problem approach

I told the solving approach by using max heap in O(NlogK) time complexity.

Try solving now
03
Round
Medium
Video Call
Duration60 minutes
Interview date10 Nov 2020
Coding problem0

It was managerial interview round, no technical questions were asked to me only behavioral questions were asked.
some of the questions are :
1. Tell me about yourself (which was common in all 4 rounds)
2. What are your strengths and weakness ?
3. In your project if you have already implemented Binary sort and your project is almost ready then you came to know that you can also implement Quick sort ,then what will be your take on that ,will you implement Quick sort or not?
4. If your project got stuck due to any of your mistake, and now your team members are in trouble because of your mistake they cannot continue their work. What will you do?
5. How do you work under the pressure of tight deadline?
6. What makes you unique, tell me any of your quality which is not mentioned in your resume.
7. What motivates you?
8. What is your long term goal?
9. What will you do if we don't select you in this interview?
10. Do you have any location preferences ?
11. Do you have any question for me ?

Total 8 students were shortlisted in this round.

04
Round
Easy
HR Round
Duration30 minutes
Interview date10 Nov 2020
Coding problem1

It was HR interview round which was scheduled just after 30 minutes from Technical Interview round.

Interviewer was focusing more on my extracurricular activities, hackathons in which I participated and the technical communities which I was part of. 

 This round was quite easy. In this last round, 5 Students were selected.

1. HR Questions

Do you have anything specific that you want to highlight from your resume.

Questions from my resume were asked

Problem approach

I passed this round because I was having good records of my extracurricular activities like Sports, Blogging, Radio RJing, Public speaking in technical events, participating in hackathons.

Here's your problem of the day

Solving this problem will increase your chance to get selected in this company

Skill covered: Programming

Which SQL keyword removes duplicate records from a result set?

Choose another skill to practice
Similar interview experiences
company logo
Associate Software Engineer
4 rounds | 5 problems
Interviewed by Athenahealth
1209 views
0 comments
0 upvotes
company logo
Software Developer
3 rounds | 8 problems
Interviewed by Athenahealth
1153 views
0 comments
0 upvotes
company logo
SDE - 1
5 rounds | 10 problems
Interviewed by Athenahealth
1086 views
0 comments
0 upvotes
company logo
Software Developer
4 rounds | 12 problems
Interviewed by Athenahealth
955 views
0 comments
0 upvotes
Companies with similar interview experiences
company logo
SDE - 1
5 rounds | 12 problems
Interviewed by Amazon
107832 views
24 comments
0 upvotes
company logo
SDE - 1
4 rounds | 5 problems
Interviewed by Microsoft
52130 views
5 comments
0 upvotes
company logo
SDE - 1
3 rounds | 7 problems
Interviewed by Amazon
32261 views
6 comments
0 upvotes